# caniter.h File Reference

C++ API: Canonical Iterator. More...

`#include "unicode/utypes.h"`
`#include "unicode/uobject.h"`
`#include "unicode/unistr.h"`

Go to the source code of this file.

## Data Structures
class | CanonicalIterator
| This class allows one to iterate through all the strings that are canonically equivalent to a given string. More...
## Defines
#define | CANITER_SKIP_ZEROES TRUE
| Should permutation skip characters with combining class zero Should be either TRUE or FALSE.

## Detailed Description

C++ API: Canonical Iterator.

Definition in file caniter.h.

## Define Documentation

#define CANITER_SKIP_ZEROES TRUE

Should permutation skip characters with combining class zero Should be either TRUE or FALSE.

This is a compile time option

Stable:
  ICU 2.4

Definition at line 28 of file caniter.h.

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Friends Defines